package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJZ4 extends MwfRequest<MWFJZ4, MWFJZ4Response> {

    @Parameter(name = "ACT_BUNDLE_ACTIVE_FROM")
    MWFJZ4 actBundleActiveFrom(java.util.Date actBundleActiveFrom);
    @Parameter(name = "ContractId")
    MWFJZ4 contractId(String contractId);
    @Parameter(name = "ID_BUNDLE_ACT")
    MWFJZ4 idBundleAct(String idBundleAct);
    @Parameter(name = "ROLE")
    MWFJZ4 role(String role);
}
